Released docs. You are viewing the documentation published with v0.46.0. Development docs are available at Latest.
Exchange one claimed token and one proof for one credential
const url = 'https://example.com/protocol/oid4vci/draft-13/credential';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"format":"dc+sd-jwt","proof":{"jwt":"example","proof_type":"jwt"},"vct":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/protocol/oid4vci/draft-13/credential \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "format": "dc+sd-jwt", "proof": { "jwt": "example", "proof_type": "jwt" }, "vct": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
object
Responses
Section titled “Responses”The Evidence credential, byte-for-byte
object
Example generated
{ "credential": "example"}Headers
Section titled “Headers”The request shape, format, type, nonce, proof, or post-claim credential request was terminally refused
object
Example
{ "error": "invalid_credential_request"}Headers
Section titled “Headers”The access token is missing, unknown, expired, or already claimed
object
Example
{ "error": "invalid_request"}Headers
Section titled “Headers”The configured request deadline elapsed
object
Example
{ "error": "invalid_request"}Headers
Section titled “Headers”The request body exceeds the configured byte limit
object
Example
{ "error": "invalid_request"}Headers
Section titled “Headers”The request budget is spent; retry after the interval in Retry-After
object
Example
{ "error": "invalid_request"}Headers
Section titled “Headers”Bounded state is unavailable before the access token can be claimed
object
Example
{ "error": "invalid_request"}Headers
Section titled “Headers”Cookies on Registry Stack
We use optional cookies to understand how you use the main Registry Stack website and this documentation. If you contact us, we may link this activity to your enquiry. You can change your choice at any time. Read the privacy policy.
Your browser asks sites not to track you, so optional tracking stays off.
We could not use or save that choice. Optional tracking remains off.